Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AttributeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Attribute>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Attribute>
ru.bitel.bgbilling.modules.bill.server.bean.AttributeDao

public class AttributeDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<Attribute>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTRACT_PARAM_PREF_MACROS`
  `static final String`
  `CONTRACT_PARAM_PREF_MACROS_USE_SUPER`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAllAttributes()`
  Удаление всех реквизитов для всех договоров
  `void`
  `clearAttributes(int contractId)`
  Удаление всех реквизитов для данного договора
  `void`
  `copyAttributes(int fromContractId, int toContractId)`
  `List<Attribute>`
  `getActiveAttributeList(int contractId)`
  Получение всех активных реквизитов на текущий момент
  `List<Attribute>`
  `getActiveAttributeList(Set<Integer> contractIds)`
  `List<Attribute>`
  `getAttributeListByCid(int contractId)`
  `protected Attribute`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(Attribute attribute)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_PARAM_PREF_MACROS

    public static final String CONTRACT_PARAM_PREF_MACROS
    See Also:
      - Constant Field Values

  - ### CONTRACT_PARAM_PREF_MACROS_USE_SUPER

    public static final String CONTRACT_PARAM_PREF_MACROS_USE_SUPER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttributeDao

    public AttributeDao(Connection con, int moduleId)

- ## Method Details

  - ### getAttributeListByCid

    public List<Attribute> getAttributeListByCid(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getActiveAttributeList

    public List<Attribute> getActiveAttributeList(int contractId) throws SQLException
    Получение всех активных реквизитов на текущий момент
    Throws:
      `SQLException`

  - ### getActiveAttributeList

    public List<Attribute> getActiveAttributeList(Set<Integer> contractIds) throws SQLException
    Throws:
      `SQLException`

  - ### clearAttributes

    public void clearAttributes(int contractId) throws SQLException
    Удаление всех реквизитов для данного договора
    Parameters:
      `contractId` - - код договора
    Throws:
      `SQLException`

  - ### clearAllAttributes

    public void clearAllAttributes() throws SQLException
    Удаление всех реквизитов для всех договоров
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Attribute attribute) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Attribute>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Attribute getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Attribute>`
    Throws:
      `SQLException`

  - ### copyAttributes

    public void copyAttributes(int fromContractId, int toContractId) throws SQLException
    Throws:
      `SQLException`